# Interface ISectionOptions

interface ISectionOptions {
children: readonly FileChild[];
footers?: {
default?: Footer;
even?: Footer;
first?: Footer;
};
headers?: {
default?: Header;
even?: Header;
first?: Header;
};
properties?: ISectionPropertiesOptions;
}

- Defined in file/file.ts:22

#####
Index

### Properties

children
footers?
headers?
properties?

##
Properties

### `Readonly` children

children: readonly FileChild[]

- Defined in file/file.ts:34

### `Optional` `Readonly` footers

footers?: {
default?: Footer;
even?: Footer;
first?: Footer;
}

- Defined in file/file.ts:28

### `Optional` `Readonly` headers

headers?: {
default?: Header;
even?: Header;
first?: Header;
}

- Defined in file/file.ts:23

### `Optional` `Readonly` properties

properties?: ISectionPropertiesOptions

- Defined in file/file.ts:33